TYPOS3.Flow - Bug # 37554

Status: Resolved Priority: Should have
Author: Pankaj Lele Category: Http
Created: 2012-05-28 Assigned To: Adrian Foder
Updated: 2012-06-18 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: FLOWS3 1.1.0 beta 1
Subject: Http\Uri::PATTERN_MATCH_HOST has errors
Description
<?php

$ret = preg_match('/Ma-zA-Z0-9_~1&\',;;=\\\$\(\)\"\+]|(?:%[0-9a-fA-F]{2}))*$/, 'www.example.com', $matches);

7>

Produces error "PHP Warning: preg_match(): Compilation failed: unmatched parentheses at offset 54"

Associated revisions

Revision 9b047552 - 2012-06-06 12:28 - Adrian Féder

[BUGFIX] Corrected "Uri host" regular expression

The regular expression verifying the validity of

a host name in Uri's setHost method was of an incorrect
syntax leading to a PHP error message.

Besides correcting that, this patch adds a Test to

proof the intended functionality.

Change-Id: Ic41ef0dec4ac2b783a78e0723ca40e7c66bcb11f
Fixes: #37554

Releases: 1.1, 1.2

Revision 4257faeb - 2012-06-18 16:47 - Adrian Foder

[BUGFIX] Corrected "Uri host" regular expression

The regular expression verifying the validity of

a host name in Uri's setHost method was of an incorrect
syntax leading to a PHP error message.

Besides correcting that, this patch adds a Test to

proof the intended functionality.

Change-Id: Ic41ef0dec4ac2b783a78e0723ca40e7c66bchb11f

Fixes: #37554
Releases: 1.1, 1.2
History

#1 - 2012-06-05 14:48 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Adrian Féder

#2 - 2012-06-05 14:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11838

#3 - 2012-06-06 09:53 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11838

#4 - 2012-06-06 12:30 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11838

#5 - 2012-06-18 16:47 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/12169

#6 - 2012-06-18 17:38 - Adrian Foder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4257faebb635394c9b0bff1d6139be147be5975f.
